Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network237.32.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
237.32.0.0
Broadcast address
237.47.255.255
First usable
237.32.0.1
Last usable
237.47.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex ED200000 · Integer 3978297344 to 3979345919
Reverse DNS zones
32.237.in-addr.arpa
33.237.in-addr.arpa
34.237.in-addr.arpa
35.237.in-addr.arpa
36.237.in-addr.arpa
37.237.in-addr.arpa
38.237.in-addr.arpa
39.237.in-addr.arpa
40.237.in-addr.arpa
41.237.in-addr.arpa
42.237.in-addr.arpa
43.237.in-addr.arpa
44.237.in-addr.arpa
45.237.in-addr.arpa
46.237.in-addr.arpa
47.237.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101101.00100000.00000000.00000000237.32.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11101101.00100000.00000000.00000000237.32.0.0
Broadcast11101101.00101111.11111111.11111111237.47.255.255
Split into smaller subnets/21

237.32.0.0/12 makes 512 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1237.32.0.0/21237.32.0.1 to 237.32.7.254237.32.7.2552,046
2237.32.8.0/21237.32.8.1 to 237.32.15.254237.32.15.2552,046
3237.32.16.0/21237.32.16.1 to 237.32.23.254237.32.23.2552,046
4237.32.24.0/21237.32.24.1 to 237.32.31.254237.32.31.2552,046
5237.32.32.0/21237.32.32.1 to 237.32.39.254237.32.39.2552,046
6237.32.40.0/21237.32.40.1 to 237.32.47.254237.32.47.2552,046
7237.32.48.0/21237.32.48.1 to 237.32.55.254237.32.55.2552,046
8237.32.56.0/21237.32.56.1 to 237.32.63.254237.32.63.2552,046
9237.32.64.0/21237.32.64.1 to 237.32.71.254237.32.71.2552,046
10237.32.72.0/21237.32.72.1 to 237.32.79.254237.32.79.2552,046
11237.32.80.0/21237.32.80.1 to 237.32.87.254237.32.87.2552,046
12237.32.88.0/21237.32.88.1 to 237.32.95.254237.32.95.2552,046
13237.32.96.0/21237.32.96.1 to 237.32.103.254237.32.103.2552,046
14237.32.104.0/21237.32.104.1 to 237.32.111.254237.32.111.2552,046
15237.32.112.0/21237.32.112.1 to 237.32.119.254237.32.119.2552,046
16237.32.120.0/21237.32.120.1 to 237.32.127.254237.32.127.2552,046
17237.32.128.0/21237.32.128.1 to 237.32.135.254237.32.135.2552,046
18237.32.136.0/21237.32.136.1 to 237.32.143.254237.32.143.2552,046
19237.32.144.0/21237.32.144.1 to 237.32.151.254237.32.151.2552,046
20237.32.152.0/21237.32.152.1 to 237.32.159.254237.32.159.2552,046
21237.32.160.0/21237.32.160.1 to 237.32.167.254237.32.167.2552,046
22237.32.168.0/21237.32.168.1 to 237.32.175.254237.32.175.2552,046
23237.32.176.0/21237.32.176.1 to 237.32.183.254237.32.183.2552,046
24237.32.184.0/21237.32.184.1 to 237.32.191.254237.32.191.2552,046
25237.32.192.0/21237.32.192.1 to 237.32.199.254237.32.199.2552,046
26237.32.200.0/21237.32.200.1 to 237.32.207.254237.32.207.2552,046
27237.32.208.0/21237.32.208.1 to 237.32.215.254237.32.215.2552,046
28237.32.216.0/21237.32.216.1 to 237.32.223.254237.32.223.2552,046
29237.32.224.0/21237.32.224.1 to 237.32.231.254237.32.231.2552,046
30237.32.232.0/21237.32.232.1 to 237.32.239.254237.32.239.2552,046
31237.32.240.0/21237.32.240.1 to 237.32.247.254237.32.247.2552,046
32237.32.248.0/21237.32.248.1 to 237.32.255.254237.32.255.2552,046
33237.33.0.0/21237.33.0.1 to 237.33.7.254237.33.7.2552,046
34237.33.8.0/21237.33.8.1 to 237.33.15.254237.33.15.2552,046
35237.33.16.0/21237.33.16.1 to 237.33.23.254237.33.23.2552,046
36237.33.24.0/21237.33.24.1 to 237.33.31.254237.33.31.2552,046
37237.33.32.0/21237.33.32.1 to 237.33.39.254237.33.39.2552,046
38237.33.40.0/21237.33.40.1 to 237.33.47.254237.33.47.2552,046
39237.33.48.0/21237.33.48.1 to 237.33.55.254237.33.55.2552,046
40237.33.56.0/21237.33.56.1 to 237.33.63.254237.33.63.2552,046
41237.33.64.0/21237.33.64.1 to 237.33.71.254237.33.71.2552,046
42237.33.72.0/21237.33.72.1 to 237.33.79.254237.33.79.2552,046
43237.33.80.0/21237.33.80.1 to 237.33.87.254237.33.87.2552,046
44237.33.88.0/21237.33.88.1 to 237.33.95.254237.33.95.2552,046
45237.33.96.0/21237.33.96.1 to 237.33.103.254237.33.103.2552,046
46237.33.104.0/21237.33.104.1 to 237.33.111.254237.33.111.2552,046
47237.33.112.0/21237.33.112.1 to 237.33.119.254237.33.119.2552,046
48237.33.120.0/21237.33.120.1 to 237.33.127.254237.33.127.2552,046
49237.33.128.0/21237.33.128.1 to 237.33.135.254237.33.135.2552,046
50237.33.136.0/21237.33.136.1 to 237.33.143.254237.33.143.2552,046
51237.33.144.0/21237.33.144.1 to 237.33.151.254237.33.151.2552,046
52237.33.152.0/21237.33.152.1 to 237.33.159.254237.33.159.2552,046
53237.33.160.0/21237.33.160.1 to 237.33.167.254237.33.167.2552,046
54237.33.168.0/21237.33.168.1 to 237.33.175.254237.33.175.2552,046
55237.33.176.0/21237.33.176.1 to 237.33.183.254237.33.183.2552,046
56237.33.184.0/21237.33.184.1 to 237.33.191.254237.33.191.2552,046
57237.33.192.0/21237.33.192.1 to 237.33.199.254237.33.199.2552,046
58237.33.200.0/21237.33.200.1 to 237.33.207.254237.33.207.2552,046
59237.33.208.0/21237.33.208.1 to 237.33.215.254237.33.215.2552,046
60237.33.216.0/21237.33.216.1 to 237.33.223.254237.33.223.2552,046
61237.33.224.0/21237.33.224.1 to 237.33.231.254237.33.231.2552,046
62237.33.232.0/21237.33.232.1 to 237.33.239.254237.33.239.2552,046
63237.33.240.0/21237.33.240.1 to 237.33.247.254237.33.247.2552,046
64237.33.248.0/21237.33.248.1 to 237.33.255.254237.33.255.2552,046
65237.34.0.0/21237.34.0.1 to 237.34.7.254237.34.7.2552,046
66237.34.8.0/21237.34.8.1 to 237.34.15.254237.34.15.2552,046
67237.34.16.0/21237.34.16.1 to 237.34.23.254237.34.23.2552,046
68237.34.24.0/21237.34.24.1 to 237.34.31.254237.34.31.2552,046
69237.34.32.0/21237.34.32.1 to 237.34.39.254237.34.39.2552,046
70237.34.40.0/21237.34.40.1 to 237.34.47.254237.34.47.2552,046
71237.34.48.0/21237.34.48.1 to 237.34.55.254237.34.55.2552,046
72237.34.56.0/21237.34.56.1 to 237.34.63.254237.34.63.2552,046
73237.34.64.0/21237.34.64.1 to 237.34.71.254237.34.71.2552,046
74237.34.72.0/21237.34.72.1 to 237.34.79.254237.34.79.2552,046
75237.34.80.0/21237.34.80.1 to 237.34.87.254237.34.87.2552,046
76237.34.88.0/21237.34.88.1 to 237.34.95.254237.34.95.2552,046
77237.34.96.0/21237.34.96.1 to 237.34.103.254237.34.103.2552,046
78237.34.104.0/21237.34.104.1 to 237.34.111.254237.34.111.2552,046
79237.34.112.0/21237.34.112.1 to 237.34.119.254237.34.119.2552,046
80237.34.120.0/21237.34.120.1 to 237.34.127.254237.34.127.2552,046
81237.34.128.0/21237.34.128.1 to 237.34.135.254237.34.135.2552,046
82237.34.136.0/21237.34.136.1 to 237.34.143.254237.34.143.2552,046
83237.34.144.0/21237.34.144.1 to 237.34.151.254237.34.151.2552,046
84237.34.152.0/21237.34.152.1 to 237.34.159.254237.34.159.2552,046
85237.34.160.0/21237.34.160.1 to 237.34.167.254237.34.167.2552,046
86237.34.168.0/21237.34.168.1 to 237.34.175.254237.34.175.2552,046
87237.34.176.0/21237.34.176.1 to 237.34.183.254237.34.183.2552,046
88237.34.184.0/21237.34.184.1 to 237.34.191.254237.34.191.2552,046
89237.34.192.0/21237.34.192.1 to 237.34.199.254237.34.199.2552,046
90237.34.200.0/21237.34.200.1 to 237.34.207.254237.34.207.2552,046
91237.34.208.0/21237.34.208.1 to 237.34.215.254237.34.215.2552,046
92237.34.216.0/21237.34.216.1 to 237.34.223.254237.34.223.2552,046
93237.34.224.0/21237.34.224.1 to 237.34.231.254237.34.231.2552,046
94237.34.232.0/21237.34.232.1 to 237.34.239.254237.34.239.2552,046
95237.34.240.0/21237.34.240.1 to 237.34.247.254237.34.247.2552,046
96237.34.248.0/21237.34.248.1 to 237.34.255.254237.34.255.2552,046
97237.35.0.0/21237.35.0.1 to 237.35.7.254237.35.7.2552,046
98237.35.8.0/21237.35.8.1 to 237.35.15.254237.35.15.2552,046
99237.35.16.0/21237.35.16.1 to 237.35.23.254237.35.23.2552,046
100237.35.24.0/21237.35.24.1 to 237.35.31.254237.35.31.2552,046
101237.35.32.0/21237.35.32.1 to 237.35.39.254237.35.39.2552,046
102237.35.40.0/21237.35.40.1 to 237.35.47.254237.35.47.2552,046
103237.35.48.0/21237.35.48.1 to 237.35.55.254237.35.55.2552,046
104237.35.56.0/21237.35.56.1 to 237.35.63.254237.35.63.2552,046
105237.35.64.0/21237.35.64.1 to 237.35.71.254237.35.71.2552,046
106237.35.72.0/21237.35.72.1 to 237.35.79.254237.35.79.2552,046
107237.35.80.0/21237.35.80.1 to 237.35.87.254237.35.87.2552,046
108237.35.88.0/21237.35.88.1 to 237.35.95.254237.35.95.2552,046
109237.35.96.0/21237.35.96.1 to 237.35.103.254237.35.103.2552,046
110237.35.104.0/21237.35.104.1 to 237.35.111.254237.35.111.2552,046
111237.35.112.0/21237.35.112.1 to 237.35.119.254237.35.119.2552,046
112237.35.120.0/21237.35.120.1 to 237.35.127.254237.35.127.2552,046
113237.35.128.0/21237.35.128.1 to 237.35.135.254237.35.135.2552,046
114237.35.136.0/21237.35.136.1 to 237.35.143.254237.35.143.2552,046
115237.35.144.0/21237.35.144.1 to 237.35.151.254237.35.151.2552,046
116237.35.152.0/21237.35.152.1 to 237.35.159.254237.35.159.2552,046
117237.35.160.0/21237.35.160.1 to 237.35.167.254237.35.167.2552,046
118237.35.168.0/21237.35.168.1 to 237.35.175.254237.35.175.2552,046
119237.35.176.0/21237.35.176.1 to 237.35.183.254237.35.183.2552,046
120237.35.184.0/21237.35.184.1 to 237.35.191.254237.35.191.2552,046
121237.35.192.0/21237.35.192.1 to 237.35.199.254237.35.199.2552,046
122237.35.200.0/21237.35.200.1 to 237.35.207.254237.35.207.2552,046
123237.35.208.0/21237.35.208.1 to 237.35.215.254237.35.215.2552,046
124237.35.216.0/21237.35.216.1 to 237.35.223.254237.35.223.2552,046
125237.35.224.0/21237.35.224.1 to 237.35.231.254237.35.231.2552,046
126237.35.232.0/21237.35.232.1 to 237.35.239.254237.35.239.2552,046
127237.35.240.0/21237.35.240.1 to 237.35.247.254237.35.247.2552,046
128237.35.248.0/21237.35.248.1 to 237.35.255.254237.35.255.2552,046
129237.36.0.0/21237.36.0.1 to 237.36.7.254237.36.7.2552,046
130237.36.8.0/21237.36.8.1 to 237.36.15.254237.36.15.2552,046
131237.36.16.0/21237.36.16.1 to 237.36.23.254237.36.23.2552,046
132237.36.24.0/21237.36.24.1 to 237.36.31.254237.36.31.2552,046
133237.36.32.0/21237.36.32.1 to 237.36.39.254237.36.39.2552,046
134237.36.40.0/21237.36.40.1 to 237.36.47.254237.36.47.2552,046
135237.36.48.0/21237.36.48.1 to 237.36.55.254237.36.55.2552,046
136237.36.56.0/21237.36.56.1 to 237.36.63.254237.36.63.2552,046
137237.36.64.0/21237.36.64.1 to 237.36.71.254237.36.71.2552,046
138237.36.72.0/21237.36.72.1 to 237.36.79.254237.36.79.2552,046
139237.36.80.0/21237.36.80.1 to 237.36.87.254237.36.87.2552,046
140237.36.88.0/21237.36.88.1 to 237.36.95.254237.36.95.2552,046
141237.36.96.0/21237.36.96.1 to 237.36.103.254237.36.103.2552,046
142237.36.104.0/21237.36.104.1 to 237.36.111.254237.36.111.2552,046
143237.36.112.0/21237.36.112.1 to 237.36.119.254237.36.119.2552,046
144237.36.120.0/21237.36.120.1 to 237.36.127.254237.36.127.2552,046
145237.36.128.0/21237.36.128.1 to 237.36.135.254237.36.135.2552,046
146237.36.136.0/21237.36.136.1 to 237.36.143.254237.36.143.2552,046
147237.36.144.0/21237.36.144.1 to 237.36.151.254237.36.151.2552,046
148237.36.152.0/21237.36.152.1 to 237.36.159.254237.36.159.2552,046
149237.36.160.0/21237.36.160.1 to 237.36.167.254237.36.167.2552,046
150237.36.168.0/21237.36.168.1 to 237.36.175.254237.36.175.2552,046
151237.36.176.0/21237.36.176.1 to 237.36.183.254237.36.183.2552,046
152237.36.184.0/21237.36.184.1 to 237.36.191.254237.36.191.2552,046
153237.36.192.0/21237.36.192.1 to 237.36.199.254237.36.199.2552,046
154237.36.200.0/21237.36.200.1 to 237.36.207.254237.36.207.2552,046
155237.36.208.0/21237.36.208.1 to 237.36.215.254237.36.215.2552,046
156237.36.216.0/21237.36.216.1 to 237.36.223.254237.36.223.2552,046
157237.36.224.0/21237.36.224.1 to 237.36.231.254237.36.231.2552,046
158237.36.232.0/21237.36.232.1 to 237.36.239.254237.36.239.2552,046
159237.36.240.0/21237.36.240.1 to 237.36.247.254237.36.247.2552,046
160237.36.248.0/21237.36.248.1 to 237.36.255.254237.36.255.2552,046
161237.37.0.0/21237.37.0.1 to 237.37.7.254237.37.7.2552,046
162237.37.8.0/21237.37.8.1 to 237.37.15.254237.37.15.2552,046
163237.37.16.0/21237.37.16.1 to 237.37.23.254237.37.23.2552,046
164237.37.24.0/21237.37.24.1 to 237.37.31.254237.37.31.2552,046
165237.37.32.0/21237.37.32.1 to 237.37.39.254237.37.39.2552,046
166237.37.40.0/21237.37.40.1 to 237.37.47.254237.37.47.2552,046
167237.37.48.0/21237.37.48.1 to 237.37.55.254237.37.55.2552,046
168237.37.56.0/21237.37.56.1 to 237.37.63.254237.37.63.2552,046
169237.37.64.0/21237.37.64.1 to 237.37.71.254237.37.71.2552,046
170237.37.72.0/21237.37.72.1 to 237.37.79.254237.37.79.2552,046
171237.37.80.0/21237.37.80.1 to 237.37.87.254237.37.87.2552,046
172237.37.88.0/21237.37.88.1 to 237.37.95.254237.37.95.2552,046
173237.37.96.0/21237.37.96.1 to 237.37.103.254237.37.103.2552,046
174237.37.104.0/21237.37.104.1 to 237.37.111.254237.37.111.2552,046
175237.37.112.0/21237.37.112.1 to 237.37.119.254237.37.119.2552,046
176237.37.120.0/21237.37.120.1 to 237.37.127.254237.37.127.2552,046
177237.37.128.0/21237.37.128.1 to 237.37.135.254237.37.135.2552,046
178237.37.136.0/21237.37.136.1 to 237.37.143.254237.37.143.2552,046
179237.37.144.0/21237.37.144.1 to 237.37.151.254237.37.151.2552,046
180237.37.152.0/21237.37.152.1 to 237.37.159.254237.37.159.2552,046
181237.37.160.0/21237.37.160.1 to 237.37.167.254237.37.167.2552,046
182237.37.168.0/21237.37.168.1 to 237.37.175.254237.37.175.2552,046
183237.37.176.0/21237.37.176.1 to 237.37.183.254237.37.183.2552,046
184237.37.184.0/21237.37.184.1 to 237.37.191.254237.37.191.2552,046
185237.37.192.0/21237.37.192.1 to 237.37.199.254237.37.199.2552,046
186237.37.200.0/21237.37.200.1 to 237.37.207.254237.37.207.2552,046
187237.37.208.0/21237.37.208.1 to 237.37.215.254237.37.215.2552,046
188237.37.216.0/21237.37.216.1 to 237.37.223.254237.37.223.2552,046
189237.37.224.0/21237.37.224.1 to 237.37.231.254237.37.231.2552,046
190237.37.232.0/21237.37.232.1 to 237.37.239.254237.37.239.2552,046
191237.37.240.0/21237.37.240.1 to 237.37.247.254237.37.247.2552,046
192237.37.248.0/21237.37.248.1 to 237.37.255.254237.37.255.2552,046
193237.38.0.0/21237.38.0.1 to 237.38.7.254237.38.7.2552,046
194237.38.8.0/21237.38.8.1 to 237.38.15.254237.38.15.2552,046
195237.38.16.0/21237.38.16.1 to 237.38.23.254237.38.23.2552,046
196237.38.24.0/21237.38.24.1 to 237.38.31.254237.38.31.2552,046
197237.38.32.0/21237.38.32.1 to 237.38.39.254237.38.39.2552,046
198237.38.40.0/21237.38.40.1 to 237.38.47.254237.38.47.2552,046
199237.38.48.0/21237.38.48.1 to 237.38.55.254237.38.55.2552,046
200237.38.56.0/21237.38.56.1 to 237.38.63.254237.38.63.2552,046
201237.38.64.0/21237.38.64.1 to 237.38.71.254237.38.71.2552,046
202237.38.72.0/21237.38.72.1 to 237.38.79.254237.38.79.2552,046
203237.38.80.0/21237.38.80.1 to 237.38.87.254237.38.87.2552,046
204237.38.88.0/21237.38.88.1 to 237.38.95.254237.38.95.2552,046
205237.38.96.0/21237.38.96.1 to 237.38.103.254237.38.103.2552,046
206237.38.104.0/21237.38.104.1 to 237.38.111.254237.38.111.2552,046
207237.38.112.0/21237.38.112.1 to 237.38.119.254237.38.119.2552,046
208237.38.120.0/21237.38.120.1 to 237.38.127.254237.38.127.2552,046
209237.38.128.0/21237.38.128.1 to 237.38.135.254237.38.135.2552,046
210237.38.136.0/21237.38.136.1 to 237.38.143.254237.38.143.2552,046
211237.38.144.0/21237.38.144.1 to 237.38.151.254237.38.151.2552,046
212237.38.152.0/21237.38.152.1 to 237.38.159.254237.38.159.2552,046
213237.38.160.0/21237.38.160.1 to 237.38.167.254237.38.167.2552,046
214237.38.168.0/21237.38.168.1 to 237.38.175.254237.38.175.2552,046
215237.38.176.0/21237.38.176.1 to 237.38.183.254237.38.183.2552,046
216237.38.184.0/21237.38.184.1 to 237.38.191.254237.38.191.2552,046
217237.38.192.0/21237.38.192.1 to 237.38.199.254237.38.199.2552,046
218237.38.200.0/21237.38.200.1 to 237.38.207.254237.38.207.2552,046
219237.38.208.0/21237.38.208.1 to 237.38.215.254237.38.215.2552,046
220237.38.216.0/21237.38.216.1 to 237.38.223.254237.38.223.2552,046
221237.38.224.0/21237.38.224.1 to 237.38.231.254237.38.231.2552,046
222237.38.232.0/21237.38.232.1 to 237.38.239.254237.38.239.2552,046
223237.38.240.0/21237.38.240.1 to 237.38.247.254237.38.247.2552,046
224237.38.248.0/21237.38.248.1 to 237.38.255.254237.38.255.2552,046
225237.39.0.0/21237.39.0.1 to 237.39.7.254237.39.7.2552,046
226237.39.8.0/21237.39.8.1 to 237.39.15.254237.39.15.2552,046
227237.39.16.0/21237.39.16.1 to 237.39.23.254237.39.23.2552,046
228237.39.24.0/21237.39.24.1 to 237.39.31.254237.39.31.2552,046
229237.39.32.0/21237.39.32.1 to 237.39.39.254237.39.39.2552,046
230237.39.40.0/21237.39.40.1 to 237.39.47.254237.39.47.2552,046
231237.39.48.0/21237.39.48.1 to 237.39.55.254237.39.55.2552,046
232237.39.56.0/21237.39.56.1 to 237.39.63.254237.39.63.2552,046
233237.39.64.0/21237.39.64.1 to 237.39.71.254237.39.71.2552,046
234237.39.72.0/21237.39.72.1 to 237.39.79.254237.39.79.2552,046
235237.39.80.0/21237.39.80.1 to 237.39.87.254237.39.87.2552,046
236237.39.88.0/21237.39.88.1 to 237.39.95.254237.39.95.2552,046
237237.39.96.0/21237.39.96.1 to 237.39.103.254237.39.103.2552,046
238237.39.104.0/21237.39.104.1 to 237.39.111.254237.39.111.2552,046
239237.39.112.0/21237.39.112.1 to 237.39.119.254237.39.119.2552,046
240237.39.120.0/21237.39.120.1 to 237.39.127.254237.39.127.2552,046
241237.39.128.0/21237.39.128.1 to 237.39.135.254237.39.135.2552,046
242237.39.136.0/21237.39.136.1 to 237.39.143.254237.39.143.2552,046
243237.39.144.0/21237.39.144.1 to 237.39.151.254237.39.151.2552,046
244237.39.152.0/21237.39.152.1 to 237.39.159.254237.39.159.2552,046
245237.39.160.0/21237.39.160.1 to 237.39.167.254237.39.167.2552,046
246237.39.168.0/21237.39.168.1 to 237.39.175.254237.39.175.2552,046
247237.39.176.0/21237.39.176.1 to 237.39.183.254237.39.183.2552,046
248237.39.184.0/21237.39.184.1 to 237.39.191.254237.39.191.2552,046
249237.39.192.0/21237.39.192.1 to 237.39.199.254237.39.199.2552,046
250237.39.200.0/21237.39.200.1 to 237.39.207.254237.39.207.2552,046
251237.39.208.0/21237.39.208.1 to 237.39.215.254237.39.215.2552,046
252237.39.216.0/21237.39.216.1 to 237.39.223.254237.39.223.2552,046
253237.39.224.0/21237.39.224.1 to 237.39.231.254237.39.231.2552,046
254237.39.232.0/21237.39.232.1 to 237.39.239.254237.39.239.2552,046
255237.39.240.0/21237.39.240.1 to 237.39.247.254237.39.247.2552,046
256237.39.248.0/21237.39.248.1 to 237.39.255.254237.39.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses